## crossfire-client 1.50.0

=== debian/changelog ===
crossfire-client (1.50.0-2) unstable; urgency=low

  * Install cfsndserv*, not cfsndserv_alsa9 to make kfreebsd land happy.

 -- Kari Pahula <kaol@debian.org>  Thu, 17 Jun 2010 21:55:04 +0300

crossfire-client (1.50.0-1) unstable; urgency=low

  * New upstream release
    + GTK+ v1 and X11 clients removed.
  * Turn crossfire-client-{x11,gtk,gtk2} into metapackages pulling in
    crossfire-client, which package now has the only remaining client, the
    gtk2 one.
  * Don't quote as much in descriptions.  (Closes: #549239)
  * Standards-Version 3.8.4, source/format 3.0 (quilt) and debhelper
    compat 7.
  * Added LIBS=-lX11 to configure's args to make binutils-gold happy.
    (Closes: #554292)
  * Build depend on automake, run autoreconf at build time.

 -- Kari Pahula <kaol@debian.org>  Thu, 17 Jun 2010 18:04:07 +0300

crossfire-client (1.12.0-2) unstable; urgency=low

  * Added missing build dependency: libglade2-dev

 -- Kari Pahula <kaol@debian.org>  Wed, 05 Aug 2009 22:12:55 +0300

crossfire-client (1.12.0-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Wed, 05 Aug 2009 14:36:12 +0300

crossfire-client (1.11.0-2) unstable; urgency=low

  * Built the original GTK+ client against GTK+ 2.0.  (Closes: #510778)
  * Bumped Standards-Version to 3.8.0, no changes necessary.

 -- Kari Pahula <kaol@debian.org>  Sun, 15 Feb 2009 14:57:47 +0200

crossfire-client (1.11.0-1) unstable; urgency=low

  * New upstream release
  * Use OpenGL support with the GTK+ and GTK+ 2 clients.
  * Cleaned the diff.gz by removing a couple of generated files from under
    sound-src in debian/rules clean.

 -- Kari Pahula <kaol@debian.org>  Wed, 13 Feb 2008 10:13:52 +0200

crossfire-client (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Install the README, README-dev and TODO files specific to the GTK2
    client to the corresponding package.

 -- Kari Pahula <kaol@debian.org>  Fri, 13 Apr 2007 21:15:44 +0300

crossfire-client (1.9.1-2) unstable; urgency=low

  * Clarified the descriptions and dependencies to make the
    crossfire-client package act as a metapackage to install one of the
    GUI clients.  (Closes: #403233)

 -- Kari Pahula <kaol@debian.org>  Fri, 15 Dec 2006 20:28:59 +0200

crossfire-client (1.9.1-1) unstable; urgency=low

  * New upstream release
  * asound [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] (Closes: #375398)
  * Patched gcfclient2 to make Configure menu option not segfault when no
    existing configuration file is present

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 05:28:42 +0300

crossfire-client (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@iki.fi>  Tue,  7 Mar 2006 17:35:10 +0200

crossfire-client (1.8.0-2) unstable; urgency=low

  * Removed unneeded and obsolete build-dep xlibs-dev.
  * Backported fix for split windows mode from CVS (Closes: #341768)

 -- Kari Pahula <kaol@iki.fi>  Sat, 17 Dec 2005 08:49:34 +0200

crossfire-client (1.8.0-1) unstable; urgency=low

  * New upstream release (closes: #298438)
  * New maintainer
  * Set datadir to /usr/share/games and sounddir to
    /usr/share/games/crossfire/sounds.

 -- Kari Pahula <kaol@iki.fi>  Sat, 20 Aug 2005 23:46:35 +0300

crossfire-client (1.7.0-3) unstable; urgency=low

  * Add build-dep to libsdl-image1.2-dev (closes: #276823)
  * We use cdbs now (closes: #263072)
  
  * Full upstream 1.7.0-2.3 changelog:
    - Small changes to debian/rules to aclocal && automake -ac
       so we regen the files on each platform/architecture
    - Added rules to build the soundef.h file before the actual sound server, see
       http://www.gnu.org/software/automake/manual/html_mono/automake.html#Built%20sources%20example
       for details
    - Moved images to recommends (thanks Todd Mitchell)
    By Robert J. Tanner <tanner@real-time.com>  Tue, 21 Sep 2004 00:11:42 -0500
  
  * Full upstream 1.7.0-2.2 changelog:
  
    - NMU
    - Major clean up of Makefiles
    - Switch debian/rules to cdbs
    - Build package from automake rework CVS branch
    By Robert J. Tanner <tanner@real-time.com>  Mon,  6 Sep 2004 16:23:47 -0500

  * Full upstream changelog for 1.7.0-1.1 for completeness sake:
  
    - NMU
    - New upstream release (closed: #260328)
    - Updated the copyright file, FSF postal address was wrong
    - Make clients depends on crossfire-client-images
    By Robert J. Tanner <tanner@real-time.com>
  
  * Upstream converted debian/rules to use cdbs (closes: #263072) 
   
 -- Jaakko Niemi <liiwi@debian.org>  Tue, 19 Oct 2004 20:50:59 +0300

crossfire-client (1.7.0-2.2) experimental; urgency=low

  * NMU
  * Major clean up of Makefiles
  * Switch debian/rules to cdbs
  * Build package from automake rework CVS branch

 -- Robert J. Tanner <tanner@real-time.com>  Mon,  6 Sep 2004 16:23:47 -0500

crossfire-client (1.7.0-2) unstable; urgency=low

  * New upstream release (closes: #260328)
    based on upstream packaging work. -2 version to make 
    packages installed from upstream repository upgraded to this version.
  * Updated the copyright file, FSF postal address was wrong
  * Make clients suggest crossfire-client-images

 -- Jaakko Niemi <liiwi@debian.org>  Mon,  2 Aug 2004 01:02:44 +0300

crossfire-client (1.6.0-2) unstable; urgency=low

  * update config.{guess,sub} and slap self (closes: 218684)
  * small patch to x11/png.c to fix segfault (closes: #218015, #218674)

 -- Jaakko Niemi <liiwi@debian.org>  Sat, 15 Nov 2003 22:42:35 +0200

crossfire-client (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Jaakko Niemi <liiwi@debian.org>  Fri, 31 Oct 2003 18:17:55 +0200

crossfire-client (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Remove dependency to xlib6g-dev (closes: #170177)
  * Add /usr/doc symlink cleanup to postinsts (closes: #161858, #161859)

 -- Jaakko Niemi <liiwi@debian.org>  Sun,  9 Mar 2003 23:44:06 +0200

crossfire-client (1.4.0-2) unstable; urgency=low


