=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: libpng3-dev, libsdl1.2-dev, libsdl-image1.2-dev, debhelper (>= 7), libtool, cdbs (>=0.4.21), libasound2-dev (>= 1.0.4) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libgtk2.0-dev, libcurl4-gnutls-dev, automake, mesa-common-dev, freeglut3-dev, libglade2-dev, libx11-dev
Standards-Version: 3.8.4
Homepage: http://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rplay-server, crossfire-server, crossfire-doc
Recommends: crossfire-client-images, crossfire-client-sounds, rplay-client
Replaces: crossfire-client-gtk2
Breaks: crossfire-client-gtk2 (<< 1.50.0)
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a multiplayer graphical arcade and adventure game made for
 the X environment.
 .
 It has certain flavours from other games, especially Gauntlet (TM)
 and Nethack/Moria.
 .
 Any number of players can move around in their own window, finding
 and using items and battle monsters.  They can choose to cooperate
 or compete in the same 'world'.
 .
 To play the game you'll need to have access to a local or remote
 server.

Package: crossfire-client-x11
Architecture: all
Depends: crossfire-client, ${misc:Depends}
Description: Metapackage for upgrading obsolete X11 Crossfire clients
 This package is a dummy package used to install GTK+ v2 Crossfire
 client instead of the removed X11 client.
 .
 You may safely remove this package.

Package: crossfire-client-gtk
Architecture: all
Depends: crossfire-client, ${misc:Depends}
Description: Metapackage for upgrading obsolete GTK+ Crossfire clients
 This package is a dummy package used to install GTK+ v2 Crossfire
 client instead of the removed GTK+ client.
 .
 You may safely remove this package.

Package: crossfire-client-gtk2
Architecture: all
Depends: crossfire-client, ${misc:Depends}
Description: Metapackage formerly known as the GTK+ v2 Crossfire client
 As the gtk2 version of the client is the only remaining supported
 client version, it was moved to the crossfire-client package.  This
 dummy package was left in place to pull it in.
 .
 You may safely remove this package.
