## crossfire-client 1.60.0

=== debian/changelog ===
crossfire-client (1.60.0-3) unstable; urgency=low

  * Standards-Version: 3.9.2 (no changes necessary)
  * Don't try to include removed curl/types.h (Closes: #638380)
  * Don't list individual arches to exclude but use libasound2-dev (>=
    1.0.4) [linux-any] as a build dep (Closes: #634686)

 -- Kari Pahula <kaol@debian.org>  Wed, 14 Sep 2011 18:28:35 +0300

crossfire-client (1.60.0-2) unstable; urgency=low

  * Readd -lX11 to linker flags (Closes: #618049)
  * Install crossfire-client.desktop to /usr/share/applications/

 -- Kari Pahula <kaol@debian.org>  Mon, 28 Mar 2011 19:27:33 +0300

crossfire-client (1.60.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.1 (no changes necessary).
  * Patch configure.ac to enable lua scripting.
  * Removed crossfire-client-{x11,gtk,gkt2} packages.

 -- Kari Pahula <kaol@debian.org>  Sun, 06 Feb 2011 17:27:21 +0200
