=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --with-sound-dir=/usr/share/games/crossfire/sounds LIBS="-lX11"
+DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --with-sound-dir=/usr/share/games/crossfire/sounds
 
 clean::
 	find . -name Makefile.in -exec rm '{}' ';'
 	rm -f utils/config.* utils/depcomp utils/install-sh utils/missing
 	rm -f aclocal.m4 configure common/config.h.in
-	rm -f macros/pkg.m4 sound-src/sounds sound-src/soundsdef.h
+	rm -f macros/pkg.m4 sound-src/soundsdef.h
 
 post-patches:: configure
