## crossfire-client 1.70.0

=== debian/changelog ===
crossfire-client (1.70.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.3 (no changes necessary).
  * Use dh-autoreconf.

 -- Kari Pahula <kaol@debian.org>  Mon, 09 Apr 2012 18:52:20 +0300
