=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: libpng3-dev, libsdl1.2-dev, libsdl-image1.2-dev, debhelper (>= 7), libtool, cdbs (>=0.4.21), libasound2-dev (>= 1.0.4) [linux-any], libgtk2.0-dev, libcurl4-gnutls-dev, automake, mesa-common-dev, freeglut3-dev, libglade2-dev, liblua5.1-0-dev | liblua5.1-dev
-Standards-Version: 3.9.2
+Build-Depends: libpng3-dev, libsdl1.2-dev, libsdl-image1.2-dev, debhelper (>= 7), cdbs (>=0.4.21), libasound2-dev (>= 1.0.4) [linux-any], libgtk2.0-dev, libcurl4-gnutls-dev, dh-autoreconf, mesa-common-dev, freeglut3-dev, libglade2-dev, liblua5.1-0-dev | liblua5.1-dev
+Standards-Version: 3.9.3
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-client
