## crossfire-client 1.71.0

=== debian/changelog ===
crossfire-client (1.71.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change B-D to libpng-dev (Closes: #809836)
  * Add d/watch from the PTS

 -- Tobias Frost <tobi@debian.org>  Wed, 06 Jan 2016 14:44:13 +0100

crossfire-client (1.71.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 3.9.5 (no changes necessary).
  * Removed no longer used build-deps libglade2-dev and libasound2-dev.
  * Add build-dep libsdl-mixer1.2-dev.

 -- Kari Pahula <kaol@debian.org>  Wed, 14 May 2014 20:31:31 +0300
