=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 7), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, dh-autoreconf, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev
Standards-Version: 3.9.5
Homepage: http://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: crossfire-server, crossfire-doc
Recommends: crossfire-client-images, crossfire-client-sounds
Replaces: crossfire-client-gtk2
Breaks: crossfire-client-gtk2 (<< 1.50.0)
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a multiplayer graphical arcade and adventure game made for
 the X environment.
 .
 It has certain flavours from other games, especially Gauntlet (TM)
 and Nethack/Moria.
 .
 Any number of players can move around in their own window, finding
 and using items and battle monsters.  They can choose to cooperate
 or compete in the same 'world'.
 .
 To play the game you'll need to have access to a local or remote
 server.
