=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --enable-lua

binary-install/crossfire-client::
	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2
