## crossfire-client 1.72.0

=== debian/changelog ===
crossfire-client (1.72.0-1) unstable; urgency=medium

  * New upstream release
    - Add build-dep: valac.
    - Update debian/rules to invoke cmake and replace dh-autoreconf with
      cmake in build deps.
  * Standards-Version 4.1.0
    - Drop menu file.
  * debian/compat bumped to 10.
  * Removed patches fix_write_socket_cond and configure_lua due to
    upstream source changes.
  * Install icons to /usr/share/icons. (Closes: #737851)
  * Verified that the new cfsndserv version won't crash with Mayhem
    test. (Closes: #715724)

 -- Kari Pahula <kaol@debian.org>  Sun, 17 Sep 2017 19:05:40 +0300
