=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes
DEB_CMAKE_EXTRA_FLAGS=-DCMAKE_INSTALL_BINDIR=games -DCMAKE_INSTALL_DATAROOTDIR=share/games -DLUA=ON

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

binary-install/crossfire-client::
	install -pm 0644 README.rst debian/crossfire-client/usr/share/doc/crossfire-client/README
	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2
	rm -r debian/crossfire-client/usr/share/games/applications
	mv debian/crossfire-client/usr/share/games/icons debian/crossfire-client/usr/share/icons
