=== debian/changelog ===
crossfire-client (1.73.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-version 4.3.0 (no changes necessary).
  * Upstream has included the sounds with the client so add breaks and
    replaces to crossfire-client-sounds.

 -- Kari Pahula <kaol@debian.org>  Fri, 08 Feb 2019 19:56:19 +0200
