=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 10), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
-Standards-Version: 4.1.0
+Standards-Version: 4.3.0
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: crossfire-server, crossfire-doc
-Recommends: crossfire-client-images, crossfire-client-sounds
-Replaces: crossfire-client-gtk2
-Breaks: crossfire-client-gtk2 (<< 1.50.0)
+Recommends: crossfire-client-images
+Replaces: crossfire-client-gtk2, crossfire-client-sounds
+Breaks: crossfire-client-gtk2 (<< 1.50.0), crossfire-client-sounds (<< 1.73.0)
 Description: Client for the multiplayer roguelike Crossfire
  Crossfire is a multiplayer graphical arcade and adventure game made for
  the X environment.
