=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,5 @@
 	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
 	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2
 	rm -r debian/crossfire-client/usr/share/games/applications
+	rm debian/crossfire-client/usr/share/games/crossfire-client/sounds/COPYING
 	mv debian/crossfire-client/usr/share/games/icons debian/crossfire-client/usr/share/icons
