=== sound-src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,13 @@
     main.c
 )
 
+target_include_directories(cfsndserv
+    PRIVATE ${GTK2_INCLUDE_DIRS}
+            ${SDLMIXER_INCLUDE_DIRS}
+            ${PROJECT_BINARY_DIR}
+            ${PROJECT_SOURCE_DIR}/common
+)
+
 target_link_libraries(cfsndserv
     ${GTK2_LDFLAGS}
     ${SDLMIXER_LDFLAGS}
