=== debian/changelog ===
crossfire-client (1.74.0-2) unstable; urgency=medium

  * Fix FTBFS by deduplicating a variable declaration. (Closes: #957112)
  * Standards-Version 4.5.0 and dh compat 13

 -- Kari Pahula <kaol@debian.org>  Sat, 25 Jul 2020 23:04:57 +0300

crossfire-client (1.74.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 4.4.1 and dh compat 12
    - Switch debian/rules to dh
  * Rename debian/NEWS.Debian -> debian/NEWS

 -- Kari Pahula <kaol@debian.org>  Wed, 01 Jan 2020 16:25:57 +0200
