=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 10), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
-Standards-Version: 4.3.0
+Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 13), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
+Standards-Version: 4.4.1
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-client
