## crossfire-client 1.75.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1)
 project(crossfire-client C)
-set(VERSION 1.74.0)
+set(VERSION 1.75.0)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -25,14 +25,15 @@
 set(CMAKE_INSTALL_DATADIR ${CMAKE_INSTALL_DATAROOTDIR}/crossfire-client)
 
 # Look for required dependencies.
+find_program(GLIB_COMPILE_RESOURCES NAMES glib-compile-resources)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(GTK2 gtk+-2.0 gio-2.0 REQUIRED)
+pkg_check_modules(GTK gtk+-2.0 gio-2.0 REQUIRED)
 find_package(PNG REQUIRED)
 find_package(Perl REQUIRED)
 find_package(Vala REQUIRED)
 find_package(X11 REQUIRED)
 add_definitions(
-    ${GTK2_CFLAGS_OTHER}
+    ${GTK_CFLAGS_OTHER}
     ${PNG_DEFINITIONS}
 )
 
@@ -54,13 +55,12 @@
 endif()
 
 if(SDL)
-    pkg_check_modules(SDL SDL_image REQUIRED)
+    pkg_check_modules(SDL REQUIRED)
     set(HAVE_SDL ${SDL_FOUND})
 endif()
 
 if(SOUND)
     pkg_check_modules(SDLMIXER SDL_mixer REQUIRED)
-    add_subdirectory(sound-src)
     if(EXISTS "${PROJECT_SOURCE_DIR}/sounds")
         install(DIRECTORY sounds DESTINATION ${CMAKE_INSTALL_DATADIR})
     else()
@@ -71,7 +71,7 @@
 endif()
 
 include(CheckIncludeFiles)
-set(CMAKE_REQUIRED_INCLUDES ${GTK2_INCLUDE_DIRS})
+set(CMAKE_REQUIRED_INCLUDES ${GTK_INCLUDE_DIRS})
 check_include_files(gio/gnetworking.h HAVE_GIO_GNETWORKING_H)
 
 include(CheckFunctionExists)
