=== common/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,3 @@
-add_custom_command(
-    OUTPUT def-keys.h
-    COMMAND ${PERL_EXECUTABLE}
-        ${CMAKE_CURRENT_SOURCE_DIR}/mdk.pl ${CMAKE_CURRENT_SOURCE_DIR}
-    DEPENDS def-keys
-)
-
 add_custom_command(
     OUTPUT msgtypes.h
     COMMAND ${PERL_EXECUTABLE}
@@ -24,7 +17,6 @@
     client.c
     client.h
     commands.c
-    def-keys.h
     external.h
     image.c
     init.c
@@ -50,14 +42,14 @@
 
 target_include_directories(cfclient
     PRIVATE ${CURL_INCLUDE_DIRS}
-            ${GTK2_INCLUDE_DIRS}
+            ${GTK_INCLUDE_DIRS}
             ${LUA_INCLUDE_DIR}
             ${PROJECT_BINARY_DIR}
 )
 
 add_executable(test-metaserver test-metaserver.c metaserver.c)
 target_include_directories(test-metaserver
-    PRIVATE ${GTK2_INCLUDE_DIRS}
+    PRIVATE ${GTK_INCLUDE_DIRS}
             ${PROJECT_BINARY_DIR}
             ${PROJECT_SOURCE_DIR}/common
 )
