=== gtk-v2/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,13 @@
-vala_precompile(VALA_C sound-vala.vala OPTIONS -g GENERATE_HEADER client-vala)
+vala_precompile(VALA_C snd.vala OPTIONS -g GENERATE_HEADER client-vala)
+
+add_custom_command(
+    OUTPUT resources.c
+    COMMAND ${GLIB_COMPILE_RESOURCES}
+        --generate-source
+        --target ${CMAKE_CURRENT_BINARY_DIR}/resources.c
+        --sourcedir=${PROJECT_SOURCE_DIR}
+        ${PROJECT_SOURCE_DIR}/resources.xml
+)
 
 add_executable(crossfire-client-gtk2
     ${VALA_C}
@@ -26,10 +35,13 @@
     sound.c
     spells.c
     stats.c
+    sound.h
+    cfsndserv.c
+    resources.c
 )
 
 target_include_directories(crossfire-client-gtk2
-    PRIVATE ${GTK2_INCLUDE_DIRS}
+    PRIVATE ${GTK_INCLUDE_DIRS}
             ${OPENGL_INCLUDE_DIR}
             ${PNG_INCLUDE_DIRS}
             ${SDLMIXER_INCLUDE_DIRS}
@@ -41,11 +53,12 @@
 
 target_link_libraries(crossfire-client-gtk2 cfclient
     ${CURL_LDFLAGS}
-    ${GTK2_LDFLAGS}
+    ${GTK_LDFLAGS}
     ${LUA_LIBRARIES}
     ${OPENGL_LIBRARIES}
     ${PNG_LIBRARIES}
     ${SDL_LDFLAGS}
+    ${SDLMIXER_LDFLAGS}
     ${X11_LIBRARIES}
 )
