=== debian/changelog ===
crossfire-client (1.75.0-2) unstable; urgency=medium

  * Patch gtk-v2/src/image.c to fix FTBFS on big endian architectures.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Feb 2021 21:19:30 +0200

crossfire-client (1.75.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.1

 -- Kari Pahula <kaol@debian.org>  Mon, 25 Jan 2021 21:05:17 +0200
