=== debian/watch ===
version=3
http://sf.net/crossfire \
(?:|.*/)crossfire-client(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
