## crossfire-client 1.75.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,11 @@
 cmake_minimum_required(VERSION 3.1)
 project(crossfire-client C)
-set(VERSION 1.75.0)
+set(VERSION 1.75.3)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 option(LUA "Lua scripting" OFF)
 option(METASERVER2 "Metaserver2 support (requires curl)" ON)
-option(OPENGL "OpenGL rendering" ON)
-option(SDL "SDL rendering (requires sdl_image)" ON)
 option(SOUND "Sound support (requires sdl_mixer)" ON)
 
 set(CMAKE_C_STANDARD 99)
@@ -15,7 +13,7 @@
 
 if(UNIX)
     # If Linux or other Unix-like, get gio to work by defining _BSD_SOURCE
-    add_definitions(-D_BSD_SOURCE)
+    add_definitions(-D_DEFAULT_SOURCE)
 elseif(MINGW OR WIN32)
     add_definitions(-DWIN32)
     set(CMAKE_INSTALL_PREFIX ".")
@@ -39,6 +37,10 @@
 
 include(${VALA_USE_FILE})
 
+# By default, silence warnings about deprecated definitions. We know we're
+# using deprecated GTK functions; these just clutter more important warnings.
+add_compile_options(-Wno-deprecated-declarations)
+
 # Look for optional dependencies that are enabled using options.
 if(LUA)
     find_package(Lua51 REQUIRED)
@@ -49,18 +51,8 @@
     set(HAVE_CURL_CURL_H ${CURL_FOUND})
 endif()
 
-if(OPENGL)
-    find_package(OpenGL REQUIRED)
-    set(HAVE_OPENGL ${OPENGL_FOUND})
-endif()
-
-if(SDL)
-    pkg_check_modules(SDL REQUIRED)
-    set(HAVE_SDL ${SDL_FOUND})
-endif()
-
 if(SOUND)
-    pkg_check_modules(SDLMIXER SDL_mixer REQUIRED)
+    pkg_check_modules(SDLMIXER SDL2_mixer REQUIRED)
     if(EXISTS "${PROJECT_SOURCE_DIR}/sounds")
         install(DIRECTORY sounds DESTINATION ${CMAKE_INSTALL_DATADIR})
     else()
@@ -92,7 +84,7 @@
 set(CPACK_GENERATOR "ZIP")
 set(CPACK_PACKAGE_VERSION "${VERSION}")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-set(CPACK_SOURCE_GENERATOR "TBZ2")
+set(CPACK_SOURCE_GENERATOR "TGZ")
 set(CPACK_SOURCE_IGNORE_FILES "/build/;.git/;.svn/")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "crossfire-client-${CPACK_PACKAGE_VERSION}")
 include(CPack)
