=== gtk-v2/src/CMakeLists.txt ===
--- 
+++ 
@@ -27,10 +27,8 @@
     map.c
     menubar.c
     metaserver.c
-    opengl.c
     pickup.c
     png.c
-    sdl.c
     skills.c
     sound.c
     spells.c
@@ -41,25 +39,24 @@
 )
 
 target_include_directories(crossfire-client-gtk2
-    PRIVATE ${GTK_INCLUDE_DIRS}
-            ${OPENGL_INCLUDE_DIR}
+    PRIVATE ${PROJECT_BINARY_DIR}
+            ${PROJECT_BINARY_DIR}/common
+            ${PROJECT_SOURCE_DIR}/common
+            ${GTK_INCLUDE_DIRS}
             ${PNG_INCLUDE_DIRS}
             ${SDLMIXER_INCLUDE_DIRS}
             ${SDL_INCLUDE_DIR}
-            ${PROJECT_BINARY_DIR}
-            ${PROJECT_BINARY_DIR}/common
-            ${PROJECT_SOURCE_DIR}/common
 )
 
 target_link_libraries(crossfire-client-gtk2 cfclient
     ${CURL_LDFLAGS}
     ${GTK_LDFLAGS}
     ${LUA_LIBRARIES}
-    ${OPENGL_LIBRARIES}
     ${PNG_LIBRARIES}
     ${SDL_LDFLAGS}
     ${SDLMIXER_LDFLAGS}
     ${X11_LIBRARIES}
+    m # math
 )
 
 if(MINGW OR WIN32)
