=== debian/changelog ===
crossfire-client (1.75.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0 (no changes necessary).
  * Replace debian/compat with dependency on debhelper-compat.
  * Remove no longer needed gtk-v2/src/image.c patch.
  * Update build dep libsdl-mixer1.2-dev to libsdl2-mixer-dev.
  * Remove included man page for cfsndserv that upstream no longer uses.
  * Patch common/newsocket.c to increase a buffer to avoid overflows.

 -- Kari Pahula <kaol@debian.org>  Tue, 30 Apr 2024 15:03:42 +0300
