=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: debhelper-compat (= 13), libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl2-mixer-dev, debhelper (>= 13), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
Standards-Version: 4.7.0
Homepage: https://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: crossfire-server, crossfire-doc
Recommends: crossfire-client-images
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a free, open-source, cooperative multi-player RPG and
 adventure game. Since its initial release, Crossfire has grown to
 encompass over 150 monsters, 3000 areas to explore, an elaborate
 magic system, 13 races, 15 character classes, and many powerful
 artifacts scattered far and wide. Set in a fantastical medieval
 world, it blends the style of Gauntlet, NetHack, Moria, and Angband.
 .
 To play the game you'll need to have access to a local or remote
 server.
