## crossfire-client 1.75.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.5)
 project(crossfire-client C)
-set(VERSION 1.75.3)
+set(VERSION 1.75.5)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -66,9 +66,6 @@
 set(CMAKE_REQUIRED_INCLUDES ${GTK_INCLUDE_DIRS})
 check_include_files(gio/gnetworking.h HAVE_GIO_GNETWORKING_H)
 
-include(CheckFunctionExists)
-check_function_exists(sysconf HAVE_SYSCONF)
-
 configure_file(
     "${PROJECT_SOURCE_DIR}/config.h.in"
     "${PROJECT_BINARY_DIR}/config.h"
