=== debian/changelog ===
crossfire-client (1.75.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #1112814)
  * Standards-Version 4.7.2 (no changes necessary).
  * Put Debian packaging to git.
  * Update build dependency on SDL to libsdl2-dev. (Closes: #1038178)
  * Remove patch on common/newsocket.c which has been fixed upstream.

 -- Kari Pahula <kaol@debian.org>  Sat, 06 Sep 2025 23:15:35 +0300
