=== debian/control ===
--- 
+++ 
@@ -2,9 +2,24 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper-compat (= 13), libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl2-mixer-dev, debhelper (>= 13), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
-Standards-Version: 4.7.0
+Build-Depends:
+	debhelper-compat (= 13),
+	libpng-dev,
+	libsdl2-dev,
+	libsdl2-image-dev,
+	libsdl2-mixer-dev,
+	debhelper (>= 13),
+	libgtk2.0-dev,
+	libcurl4-gnutls-dev,
+	mesa-common-dev,
+	freeglut3-dev,
+	liblua5.1-0-dev | liblua5.1-dev,
+	valac,
+	cmake,
+Standards-Version: 4.7.2
 Homepage: https://crossfire.real-time.com/
+Vcs-Browser: https://salsa.debian.org/debian/crossfire-client
+Vcs-Git: https://salsa.debian.org/debian/crossfire-client.git
 
 Package: crossfire-client
 Architecture: any
