=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=games -DCMAKE_INSTALL_DATAROOTDIR=share/games -DLUA=ON

override_dh_install:
	dh_install
	install -Dpm 0644 README.rst debian/crossfire-client/usr/share/doc/crossfire-client/README
	install -Dpm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -Dpm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2
	rm -r debian/crossfire-client/usr/share/games/applications
	rm debian/crossfire-client/usr/share/games/crossfire-client/sounds/COPYING
	mv debian/crossfire-client/usr/share/games/icons debian/crossfire-client/usr/share/icons
